> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditbenchmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Dates

> Returns latest and previous available effective dates for analytics requests.



## OpenAPI

````yaml /openapi/consensus-data.yaml get /analytics/v2/metadata/available-dates
openapi: 3.1.0
info:
  title: Credit Benchmark API
  description: |
    Authentication, entity resolution, data, analytics, and metadata endpoints.
  version: 1.0.0
  contact:
    name: Credit Benchmark API Support
    email: api-support@creditbenchmark.com
    url: https://creditbenchmark.com/support
  license:
    name: Proprietary
    url: https://creditbenchmark.com/terms
servers:
  - url: https://gateway.creditbenchmark.com
    description: Production gateway
security:
  - BearerAuth: []
tags:
  - name: authentication
    description: Token generation endpoints.
    x-group: Authentication
  - name: entity-resolution
    description: Entity name resolution endpoints.
    x-group: Entity Resolution
  - name: data
    description: Raw data extraction endpoints.
    x-group: Data
  - name: analytics
    description: Analytics endpoints.
    x-group: Analytics
  - name: metadata
    description: Metadata discovery endpoints.
    x-group: Metadata
paths:
  /analytics/v2/metadata/available-dates:
    get:
      tags:
        - metadata
      summary: Available Dates
      description: >-
        Returns latest and previous available effective dates for analytics
        requests.
      operationId: metadata_available_dates_v2_metadata_available_dates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableDatesMetadataResponse'
              example:
                latest_effective_date: 20260529
                latest_finalised_effective_date: 20260529
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    AvailableDatesMetadataResponse:
      type: object
      description: Latest available effective dates for analytics requests.
      required:
        - latest_effective_date
        - latest_finalised_effective_date
      properties:
        latest_effective_date:
          type: integer
          description: Latest available effective date in YYYYMMDD format.
          example: 20260529
        latest_finalised_effective_date:
          type: integer
          description: Latest finalised effective date in YYYYMMDD format.
          example: 20260529
    UnauthorizedError:
      type: object
      required:
        - detail
      properties:
        detail:
          type: string
    SimpleError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    RateLimitError:
      type: object
      required:
        - error
        - detail
      properties:
        error:
          type: string
        detail:
          type: string
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedError'
          example:
            detail: Unauthorized request
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SimpleError'
          example:
            error: Client-backed analytics inputs require contributor entitlement.
    TooManyRequests:
      description: Too many requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
          example:
            error: Rate limit exceeded
            detail: 60 per 1 minute
    InternalServerError:
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SimpleError'
          example:
            error: >-
              An error occurred while processing your request. Please try again
              later.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT bearer token.

````